Переполнение буфера в EasyHDR Pro

Дата публикации:
03.02.2009
Дата изменения:
03.02.2009
Всего просмотров:
1625
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2009-0246
CVE-2009-0254
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
EasyHDR Pro 1.x
Уязвимые версии: EasyHDR Pro 1.60.2, возможно другие версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки проверки границ данных при обработке Radiance RGBE (*.hdr) файлов. Удаленный пользователь может с помощью специально сформированного Radiance RGBE файла вызвать переполнение стека и выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за ошибки проверки границ данных при обработке FITS (Flexible Image Transport System) файлов. Удаленный пользователь может с помощью специально сформированного FITS файла вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: easyhdr.com

Решение: Установите последнюю версию 1.60.3 с сайта производителя.

Ссылки: Secunia Research: EasyHDR Pro Radiance RGBE Buffer Overflow
http://easyhdr.com/version.php

или введите имя

CAPTCHA